## netatalk 4.1.0~ds

=== meson_options.txt ===
# The following options are used to enable or disable netatalk features
# They take the form -Dwith-feature=true || false

# The value: argument corresponds to the default setting

option(
    'with-acls',
    type: 'boolean',
    value: true,
    description: 'Enable ACL support',
)
option(
    'with-afpstats',
    type: 'boolean',
    value: true,
    description: 'Enable AFP statistics via D-Bus',
)
option(
    'with-cnid-dbd-backend',
    type: 'boolean',
    value: true,
    description: 'Compile CNID with Database Daemon Data Store',
)
option(
    'with-cnid-last-backend',
    type: 'boolean',
    value: true,
    description: 'Compile LAST CNID scheme',
)
option(
    'with-cnid-mysql-backend',
    type: 'boolean',
    value: true,
    description: 'Compile MySQL CNID scheme',
)
option(
    'with-cracklib',
    type: 'boolean',
    value: true,
    description: 'Enable cracklib support',
)
option(
    'with-cups',
    type: 'boolean',
    value: true,
    description: 'Enable CUPS support',
)
option(
    'with-appletalk',
    type: 'boolean',
    value: false,
    description: 'Enable the AppleTalk transport layer, services and utilities',
)
option(
    'with-debug',
    type: 'boolean',
    value: true,
    description: 'Enable verbose debug code',
)
option(
    'with-debugging',
    type: 'boolean',
    value: false,
    description: 'Enable SIGALARM timers and DSI tickles (eg for debugging with gdb/dbx/...)',
)
option(
    'with-dtrace',
    type: 'boolean',
    value: true,
    description: 'Enable dtrace probes',
)
option(
    'with-gssapi',
    type: 'boolean',
    value: true,
    description: 'Enable GSSAPI support',
)
option(
    'with-init-hooks',
    type: 'boolean',
    value: true,
    description: 'Enable install hooks for the configured init system',
)
option(
    'with-install-hooks',
    type: 'boolean',
    value: true,
    description: 'Enable OS specific install hooks',
)
option(
    'with-kerberos',
    type: 'boolean',
    value: true,
    description: 'Enable Kerberos V API support',
)
option(
    'with-krbV-uam',
    type: 'boolean',
    value: true,
    description: 'Enable build of Kerberos V UAM module',
)
option(
    'with-ldap',
    type: 'boolean',
    value: true,
    description: 'Enable LDAP support'
)
option(
    'with-ldsoconf',
    type: 'boolean',
    value: false,
    description: 'Enable custom library search path for the run-time linker',
)
option(
    'with-libiconv',
    type: 'boolean',
    value: true,
    description: 'Enable iconv support',
)
option(
    'with-overwrite',
    type: 'boolean',
    value: false,
    description: 'Overwrite configuration files during installation',
)
option(
    'with-pam',
    type: 'boolean',
    value: true,
    description: 'Enable PAM support',
)
option(
    'with-quota',
    type: 'boolean',
    value: true,
    description: 'Enable quota support',
)
option(
    'with-readmes',
    type: 'boolean',
    value: true,
    description: 'Install README documentation',
)
option(
    'with-rpath',
    type: 'boolean',
    value: true,
    description: 'Enable RPATH/RUNPATH',
)
option(
    'with-sendfile',
    type: 'boolean',
    value: true,
    description: 'Enable sendfile syscall',
)
option(
    'with-shadow',
    type: 'boolean',
    value: true,
    description: 'Enable shadow password support',
)
option(
    'with-shell-check',
    type: 'boolean',
    value: true,
    description: 'Enable checking for a valid shell',
)
option(
    'with-spotlight',
    type: 'boolean',
    value: true,
    description: 'Enable Spotlight support',
)
option(
    'with-tcp-wrappers',
    type: 'boolean',
    value: true,
    description: 'Enable TCP wrappers support',
)
option(
    'with-tests',
    type: 'boolean',
    value: false,
    description: 'Compile tests',
)
option(
    'with-testsuite',
    type: 'boolean',
    value: false,
    description: 'Compile the AFP test suite',
)
option(
    'with-webmin',
    type: 'boolean',
    value: false,
    description: 'Package and install the Netatalk Webmin module',
)
option(
    'with-zeroconf',
    type: 'boolean',
    value: true,
    description: 'Enable Zeroconf support',
)

# The following options are used to find dependencies that are installed in
# unconventional locations.
# They take the form -Dwith-dependency-path=/path/to/dependency
# The dependency directory must include lib and include dirs

option(
    'with-bdb-path',
    type: 'string',
    value: '',
    description: 'Set path to Berkeley DB installation. Must contain lib and include dirs',
)
option(
    'with-bdb-version',
    type: 'string',
    value: '',
    description: 'Set installed Berkeley DB version x.y (major.minor) to link against',
)
option(
    'with-cracklib-path',
    type: 'string',
    value: '',
    description: 'Set location of cracklib dictionary',
)
option(
    'with-dbus-daemon-path',
    type: 'string',
    value: '',
    description: 'Set path to D-Bus daemon',
)
option(
    'with-dbus-sysconf-path',
    type: 'string',
    value: '',
    description: 'Set path to D-Bus system bus security configuration directory',
)
option(
    'with-docbook-path',
    type: 'string',
    value: '',
    description: 'Set path to Docbook XSL directory',
)
option(
    'with-gssapi-path',
    type: 'string',
    value: '',
    description: 'Set path to GSSAPI for Kerberos V UAM. Must contain lib and include dirs',
)
option(
    'with-init-dir',
    type: 'string',
    value: '',
    description: 'Set path to OS specific init directory',
)
option(
    'with-kerberos-path',
    type: 'string',
    value: '',
    description: 'Set path to Kerberos V library. Must contain lib and include dirs',
)
option(
    'with-ldap-path',
    type: 'string',
    value: '',
    description: 'Set path to LDAP library. Must contain lib and include dirs'
)
option(
    'with-libgcrypt-path',
    type: 'string',
    value: '',
    description: 'Set path to libgcrypt installation. Must contain lib and include dirs',
)
option(
    'with-libiconv-path',
    type: 'string',
    value: '',
    description: 'Set path to libiconv installation. Must contain lib and include dirs',
)
option(
    'with-lockfile-path',
    type: 'string',
    value: '',
    description: 'Set path to directory that contains the Netatalk lockfiles',
)
option(
    'with-manual-install-path',
    type: 'string',
    value: '',
    description: 'Set path where to install manual html pages',
)
option(
    'with-pam-path',
    type: 'string',
    value: '',
    description: 'Set path to PAM installation. Must contain lib and include dirs',
)
option(
    'with-pam-config-path',
    type: 'string',
    value: '',
    description: 'Set path to PAM config directory',
)
option(
    'with-perl-path',
    type: 'string',
    value: '',
    description: 'Set path to directory that containts the perl runtime binary',
)
option(
    'with-pkgconfdir-path',
    type: 'string',
    value: '',
    description: 'Set path to the package conf dir that overrides sysconfdir',
)
option(
    'with-spooldir',
    type: 'string',
    value: '',
    description: 'Set path for spooldir used for CUPS support',
)
option(
    'with-statedir-path',
    type: 'string',
    value: '',
    description: 'Set path for statedir used for CNID databases etc.',
)
option(
    'with-tracker-install-prefix',
    type: 'string',
    value: '',
    description: 'Set Tracker installation prefix',
)
option(
    'with-tracker-prefix',
    type: 'string',
    value: '',
    description: 'Set Tracker prefix',
)
option(
    'with-uams-path',
    type: 'string',
    value: 'libdir / netatalk',
    description: 'Set path to UAMs',
)
option(
    'with-unicode-data-path',
    type: 'string',
    value: '',
    description: 'Set path to UnicodeData.txt',
)

# The following options offer a choice from pre-defined selections

option(
    'with-cnid-default-backend',
    type: 'combo',
    choices: [
        'dbd',
        'last',
        'mysql',
    ],
    value: 'dbd',
    description: 'Set default CNID scheme',
)
option(
    'with-init-style',
    type: 'array',
    choices: [
        'none',
        'auto',
        'debian-sysv',
        'freebsd',
        'macos-launchd',
        'netbsd',
        'openbsd',
        'openrc',
        'solaris',
        'systemd',
    ],
    value: ['auto'],
    description: 'Use OS specific init config',
)
option(
    'with-manual',
    type: 'combo',
    choices: [
        'none',
        'local',    # html and troff docs for installation and distribution
        'man_only', # troff man pages only for installation and distribution
        'www',      # html for web publishing (project admin use)
    ],
    value: 'local',
    description: 'Format of manual to build and install',
)
option(
    'with-manual-l10n',
    type: 'array',
    choices: [
        'ja',
    ],
    value: [],
    description: 'Choose the localizations of the html manual to build',
)
