=== debian/changelog ===
netatalk (4.1.0~ds-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * adapt packaging for upstream renamed executable
    apple_dump -> addump
  * update copyright info: update coverage

  [ Daniel Markstedt ]
  * update description of netatalk-tools package
  * run testsuite in big-endian compatible mode on s390x
  * remove patch obsoleted by upstream changes
  * install new macipgw config and man page
  * patch 001 that disables all default settings for macipgw

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 13 Jan 2025 22:54:41 +0100
