## netatalk 4.1.1~ds

=== debian/changelog ===
netatalk (4.1.1~ds-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Daniel Markstedt ]
  * fix copyright path after upstream changes
  * update copyright year
  * remove patch obsoleted by upstream changes

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 24 Jan 2025 19:38:37 +0100
