## netatalk 4.1.2~ds

=== meson_options.txt ===
--- 
+++ 
@@ -212,6 +212,12 @@
     type: 'string',
     value: '',
     description: 'Set path to Berkeley DB installation. Must contain lib and include dirs',
+)
+option(
+    'with-bdb-include-path',
+    type: 'string',
+    value: '',
+    description: 'Set path to Berkeley DB include dir. When defined, -Dwith-bdb-path is used only for lib dir',
 )
 option(
     'with-bdb-version',
