=== doc/requirements.txt ===
pyyaml
xmltodict
