=== debian/changelog ===
netatalk (4.1.2~ds-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 13 Feb 2025 07:10:44 +0100
