=== debian/control ===
Source: netatalk
Section: net
Priority: optional
Maintainer: Debian Netatalk team <pkg-netatalk-devel@lists.alioth.debian.org>
Uploaders:
 Daniel Markstedt <daniel@mindani.net>,
 Jonas Smedegaard <dr@jones.dk>,
Build-Depends:
 bison,
 cmark-gfm <!nodoc>,
 cracklib-runtime,
 debhelper-compat (= 13),
 docbook-xsl <!nodoc>,
 flex,
 libacl1-dev,
 libavahi-client-dev,
 libcrack2-dev,
 libcups2-dev,
 libdb-dev,
 libevent-dev,
 libgcrypt20-dev,
 libkrb5-dev,
 libldap2-dev,
 libltdl-dev,
 libmariadb-dev,
 libpam0g-dev,
 libtalloc-dev,
 libtirpc-dev,
 libtracker-sparql-3.0-dev,
 libwrap0-dev,
 meson,
 ninja-build,
 pkgconf,
 systemtap-sdt-dev,
 tracker,
 unicode-data,
 xsltproc <!nodoc>,
Build-Conflicts:
 libavahi-compat-libdnssd-dev,
Vcs-Git: https://salsa.debian.org/netatalk-team/netatalk.git
Vcs-Browser: https://salsa.debian.org/netatalk-team/netatalk
Standards-Version: 4.7.0
Homepage: https://github.com/Netatalk/netatalk
Rules-Requires-Root: no

Package: netatalk
Architecture: any
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 avahi-daemon,
 dbus,
 libatalk (=${binary:Version}),
 tracker (>= 3.0),
 tracker-miner-fs (>= 3.0),
 libpam-modules,
 netbase,
 ${misc:Depends},
 ${perl:Depends},
 ${shlibs:Depends},
Recommends:
 a2boot,
 atalkd,
 macipgw,
 netatalk-tools,
 papd,
 timelord,
Suggests:
 netatalk-doc,
 quota,
Description: Apple Filing Protocol service
 Netatalk is an implementation of the Apple Filing Protocol (AFP),
 for offering file service (mainly) to macOS clients.
 .
 Compared to the Windows-native SMB protocol
 (which is also supported on macOS),
 the Macintosh-native AFP protocol is accessible from a different network,
 can be simpler to setup and faster for some operations
 (e.g. server-to-server copying),
 and some features (e.g. the backup service Time Machine)
 may work more reliably than over SMB.
 .
 This package contains all AFP file server daemons
 as well as Netatalk's libraries.

Package: netatalk-tools
Architecture: any
Depends:
 dbus,
 libatalk (=${binary:Version}),
 libio-socket-ip-perl,
 libnet-dbus-perl,
 lsof,
 perl,
 procps,
 ${misc:Depends},
 ${perl:Depends},
 ${shlibs:Depends},
Replaces: netatalk (<< 4.0.0~ds-1)
Breaks: netatalk (<< 4.0.0~ds-1)
Enhances: netatalk (>= 4.0.0~ds-1)
Description: Apple Filing Protocol service (administrative tools)
 Netatalk is an implementation of the Apple Filing Protocol (AFP),
 for offering file service (mainly) to macOS clients.
 .
 This package contains the following AFP file server utility programs
 for system administrators:
  * ad - AppleDouble file utility suite
  * addump - dump AppleSingle/AppleDouble metadata
  * afpldaptest - validate Netatalk LDAP parameters
  * afppasswd - RandNum UAM password management
  * afpstats - inquire AFP server usage stats over D-Bus
  * asip-status - inquire AFP server capabilities
  * dbd - CNID database maintenance
  * macusers - list connected AFP server users

Package: netatalk-tests
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Apple Filing Protocol service (test tools)
 Netatalk is an implementation of the Apple Filing Protocol (AFP),
 for offering file service (mainly) to macOS clients.
 .
 This package contains the following AFP functional test runners,
 benchmarks, and supporting tools:
  * afp_lantest - AFP benchmark akin to HELIOS LanTest
  * afp_logintest - test authentication over DSI
  * afp_spectest - AFP specification functional test suite
  * afp_speedtest - AFP read/write/copy benchmark
  * afparg - AFP CLI client

Package: netatalk-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: Apple Filing Protocol service (documentation)
 Netatalk is an implementation of the Apple Filing Protocol (AFP),
 for offering file service (mainly) to macOS clients.
 .
 This package contains the html documentation for Netatalk.

Package: libatalk
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Breaks:
 netatalk (<< 4.0.0~ds-1)
Description: Apple Filing Protocol service (shared library)
 Netatalk is an implementation of the Apple Filing Protocol (AFP),
 for offering file service (mainly) to macOS clients.
 .
 This package contains Netatalk's shared libraries.

Package: libatalk-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 libatalk (=${binary:Version}),
 ${misc:Depends},
Description: Apple Filing Protocol service (development files)
 Netatalk is an implementation of the Apple Filing Protocol (AFP),
 for offering file service (mainly) to macOS clients.
 .
 This package contains headers for development.

Package: atalkd
Architecture: any
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 libatalk (=${binary:Version}),
 netbase,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 a2boot,
 macipgw,
 papd,
 timelord,
Enhances:
 netatalk,
Description: AppleTalk Network Suite
 Netatalk's services and tools
 for networking with very old Macs and Apple IIs
 .
 This package contains the daemon and utility programs
 for the Netatalk AppleTalk network suite, which can be used
 with the Netatalk AFP file server, and other services.
 .
 In addition to the atalkd network management daemon,
 the following utility programs are installed:
  * aecho - send AppleTalk Echo Protocol pings
  * getzones - list available AppleTalk zones
  * nbplkup - list registered AppleTalk entities
  * nbprgstr - register an AppleTalk entity
  * nbpunrgstr - release a registered AppleTalk entity

Package: a2boot
Architecture: any
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 atalkd,
 netatalk,
 netbase,
 ${misc:Depends},
 ${shlibs:Depends},
Description: AppleTalk Network Suite (Apple II NetBoot)
 Netatalk's services and tools
 for networking with very old Macs and Apple IIs
 .
 This package contains a daemon that allows you
 to boot an Apple II over the network from an AFP volume.

Package: macipgw
Architecture: any
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 atalkd,
 netbase,
 ${misc:Depends},
 ${shlibs:Depends},
Description: AppleTalk Network Suite (MacIP Gateway)
 Netatalk's services and tools
 for networking with very old Macs and Apple IIs
 .
 This package contains a daemon that sets up
 a MacIP gateway which enables pre-TCP/IP Macs
 to browse the web and use other TCP/IP resources.

Package: papd
Architecture: any
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 atalkd,
 netbase,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends: cups
Enhances: cups
Description: AppleTalk Network Suite (PAP Print Server)
 Netatalk's services and tools
 for networking with very old Macs and Apple IIs
 .
 This package contains the daemon and utility programs
 for network printing to and from LocalTalk networks.
 It allows Mac OS and Apple II clients to print to
 modern AirPrint / CUPS enabled printers.
 .
 In addition, the following printing tools are included:
  * pap - print from the host to a LocalTalk printer
  * papstatus - inquire the status of a LocalTalk printer

Package: timelord
Architecture: any
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 atalkd,
 netbase,
 ${misc:Depends},
 ${shlibs:Depends},
Description: AppleTalk Network Suite (Timelord Time Server)
 Netatalk's services and tools
 for networking with very old Macs and Apple IIs
 .
 This package contains a daemon that serves
 a Timelord compatible time server for Mac OS
 and Apple II.
