## netatalk 4.2.1~ds

=== debian/changelog ===
netatalk (4.2.1~ds-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Daniel Markstedt ]
  * revert testsuite forcing of filesystem EA on test volumes
  * update copyright and copyright_hints
  * update not-installed to reflect new default build system behavior
  * defuzz 202_privacy.patch
  * drop patches obsoleted by upstream changes

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 16 Apr 2025 06:30:29 +0200

netatalk (4.2.0~ds-3) unstable; urgency=medium

  [ Daniel Markstedt ]
  * adjust the testsuite afp.conf to use the latest options
  * temporarily enable max test log verbosity in testsuite
  * create baseline salsa-ci.yml file to run tests in the Salsa pipeline
  * add patch for standardizing error code validation in testsuite
  * use stronger test user password in testsuite
  * drop two patches added in the previous release
    that were ineffectual for addressing the testsuite test failure

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 12 Apr 2025 12:39:32 +0200

netatalk (4.2.0~ds-2) unstable; urgency=medium

  [ Daniel Markstedt ]
  * remove superfluous label on an author in copyright
  * add patch for FPGetExtAttr return value in testsuite
  * add patch for error logging in EXPECT_FAIL macro in testsuite

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 07 Apr 2025 21:56:11 +0200

netatalk (4.2.0~ds-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Daniel Markstedt ]
  * update copyright hints
  * update copyright
  * netatalk test binaries now depend on libatalk
  * new test binary fce_listen
  * docs are now built with cmark-gfm, removing docbook and xslt dependencies
  * iniparser is now a mandatory build and runtime dependency
  * new meson syntax for building docs
  * need to tell meson to explicitly build unicode lookup tables
  * refresh README privacy patch
  * temporary patch for sequence of generating unicode lookup tables
  * CONTRIBUTORS is now markdown converted to txt
  * update ignore list with new readme names
  * ignore CUPS pap backend configuration file

  [ Jonas Smedegaard ]
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 06 Apr 2025 12:58:54 +0200

netatalk (4.1.2~ds-4) unstable; urgency=medium

  [ Daniel Markstedt ]
  * restore dependency on libtracker-sparql-3.0-dev
    (see bug#1098577)
  * declare compliance with Debian Policy 4.7.2

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 08 Mar 2025 12:28:21 +0100

netatalk (4.1.2~ds-3) unstable; urgency=medium

  [ Daniel Markstedt ]
  * update smoke test to accommodate localsearch daemon

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 25 Feb 2025 07:23:56 +0100

netatalk (4.1.2~ds-2) unstable; urgency=medium

  * build-depend on libtinysparql-dev localsearch
    (not libtracker-sparql-3.0-dev tracker);
    depend on localsearch (not tracker tracker-miner-fs);
    closes: bug#1098776, thanks to Santiago Vila
  * declare compliance with Debian Policy 4.7.1

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 24 Feb 2025 22:38:03 +0100
