## netatalk 4.2.3~ds

=== meson_options.txt ===
--- 
+++ 
@@ -46,6 +46,12 @@
     description: 'Enable CUPS support',
 )
 option(
+    'with-cups-pap-backend',
+    type: 'boolean',
+    value: false,
+    description: 'Install the pap backend for CUPS',
+)
+option(
     'with-appletalk',
     type: 'boolean',
     value: false,
@@ -64,6 +70,12 @@
     description: 'Enable SIGALARM timers and DSI tickles (eg for debugging with gdb/dbx/...)',
 )
 option(
+    'with-docs-l10n',
+    type: 'boolean',
+    value: false,
+    description: 'Build and install the localized documentation',
+)
+option(
     'with-dtrace',
     type: 'boolean',
     value: true,
@@ -136,12 +148,6 @@
     description: 'Enable quota support',
 )
 option(
-    'with-readmes',
-    type: 'boolean',
-    value: true,
-    description: 'Install README documentation',
-)
-option(
     'with-rpath',
     type: 'boolean',
     value: true,
@@ -154,12 +160,6 @@
     description: 'Enable sendfile syscall',
 )
 option(
-    'with-shadow',
-    type: 'boolean',
-    value: true,
-    description: 'Enable shadow password support',
-)
-option(
     'with-shell-check',
     type: 'boolean',
     value: true,
@@ -172,6 +172,12 @@
     description: 'Enable Spotlight support',
 )
 option(
+    'with-statedir-creation',
+    type: 'boolean',
+    value: true,
+    description: 'Create the Netatalk state directories if they do not exist',
+)
+option(
     'with-tcp-wrappers',
     type: 'boolean',
     value: true,
@@ -190,10 +196,22 @@
     description: 'Compile the AFP test suite',
 )
 option(
+    'with-unicode-data',
+    type: 'boolean',
+    value: false,
+    description: 'Rebuild the Unicode source files from UnicodeData.txt',
+)
+option(
     'with-webmin',
     type: 'boolean',
     value: false,
     description: 'Package and install the Netatalk Webmin module',
+)
+option(
+    'with-website',
+    type: 'boolean',
+    value: false,
+    description: 'Build documentation for the Netatalk website (admin use only)',
 )
 option(
     'with-zeroconf',
@@ -232,6 +250,12 @@
     description: 'Set location of cracklib dictionary',
 )
 option(
+    'with-cups-libdir-path',
+    type: 'string',
+    value: '',
+    description: 'Set path to the prefix of the CUPS library directory',
+)
+option(
     'with-dbus-daemon-path',
     type: 'string',
     value: '',
@@ -254,6 +278,12 @@
     type: 'string',
     value: '',
     description: 'Set path to GSSAPI for Kerberos V UAM. Must contain lib and include dirs',
+)
+option(
+    'with-iniparser-path',
+    type: 'string',
+    value: '',
+    description: 'Set path to iniparser installation. Must contain lib and include dirs',
 )
 option(
     'with-init-dir',
@@ -370,6 +400,17 @@
     ],
     value: 'dbd',
     description: 'Set default CNID scheme',
+)
+option(
+    'with-docs',
+    type: 'array',
+    choices: [
+        'man',
+        'html_manual',
+        'readmes',
+    ],
+    value: ['man', 'html_manual', 'readmes'],
+    description: 'Choose the type documentation to build and install',
 )
 option(
     'with-init-style',
@@ -389,24 +430,3 @@
     value: ['auto'],
     description: 'Use OS specific init config',
 )
-option(
-    'with-manual',
-    type: 'combo',
-    choices: [
-        'none',
-        'local',    # html and troff docs for installation and distribution
-        'man_only', # troff man pages only for installation and distribution
-        'www',      # html for web publishing (project admin use)
-    ],
-    value: 'local',
-    description: 'Format of manual to build and install',
-)
-option(
-    'with-manual-l10n',
-    type: 'array',
-    choices: [
-        'ja',
-    ],
-    value: [],
-    description: 'Choose the localizations of the html manual to build',
-)
