=== debian/changelog ===
netatalk (4.2.3~ds-2) unstable; urgency=medium

  [ Daniel Markstedt ]
  * add patch that fixes critical bug in uam module;
    closes: bug#1111652,
    thanks to Stefan van Lieshout and Hector Rulot

  [ Jonas Smedegaard ]
  * fix indent and wrap DEP-3 patch header

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 05 Oct 2025 14:31:35 +0200

netatalk (4.2.3~ds-1) unstable; urgency=medium

  [ upstream ]
  * new release
    highlights:
    + fix bug with optarg indexing in afpd
      closes: bug#1104925

  [ Daniel Markstedt ]
  * update copyright coverage

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 13 May 2025 16:40:25 +0200
