=== debian/control ===
--- 
+++ 
@@ -10,7 +10,6 @@
  cmark-gfm <!nodoc>,
  cracklib-runtime,
  debhelper-compat (= 13),
- docbook-xsl <!nodoc>,
  flex,
  libacl1-dev,
  libavahi-client-dev,
@@ -19,6 +18,7 @@
  libdb-dev,
  libevent-dev,
  libgcrypt20-dev,
+ libiniparser-dev,
  libkrb5-dev,
  libldap2-dev,
  libltdl-dev,
@@ -26,20 +26,20 @@
  libpam0g-dev,
  libtalloc-dev,
  libtirpc-dev,
+ libtinysparql-dev,
  libtracker-sparql-3.0-dev,
  libwrap0-dev,
+ localsearch,
  meson,
  ninja-build,
  pkgconf,
  systemtap-sdt-dev,
- tracker,
  unicode-data,
- xsltproc <!nodoc>,
 Build-Conflicts:
  libavahi-compat-libdnssd-dev,
 Vcs-Git: https://salsa.debian.org/netatalk-team/netatalk.git
 Vcs-Browser: https://salsa.debian.org/netatalk-team/netatalk
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/Netatalk/netatalk
 Rules-Requires-Root: no
 
@@ -51,8 +51,7 @@
  avahi-daemon,
  dbus,
  libatalk (=${binary:Version}),
- tracker (>= 3.0),
- tracker-miner-fs (>= 3.0),
+ localsearch,
  libpam-modules,
  netbase,
  ${misc:Depends},
@@ -117,6 +116,7 @@
 Package: netatalk-tests
 Architecture: any
 Depends:
+ libatalk (=${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
 Description: Apple Filing Protocol service (test tools)
@@ -130,6 +130,7 @@
   * afp_spectest - AFP specification functional test suite
   * afp_speedtest - AFP read/write/copy benchmark
   * afparg - AFP CLI client
+  * fce_listen - simple Filesystem Change Event listener app
 
 Package: netatalk-doc
 Section: doc
