=== debian/tests/control ===
Test-Command: PATH=/usr/sbin:/sbin:/usr/bin:/bin prove debian/tests/*.t
Depends:
 libtest-command-simple-perl,
 perl,
 @,
Restrictions: needs-sudo
