=== debian/watch ===
version=4
# check: uscan --report
# update: gbp import-orig --upstream-vcs-tag=vX.Y.Z --uscan

opts=\
filenamemangle=s/.*?@ANY_VERSION@(@ARCHIVE_EXT@)/@PACKAGE@_$1.orig$2/,\
repacksuffix=~ds,\
uversionmangle=s/-/./g,\
dversionmangle=auto \
https://github.com/Netatalk/netatalk/tags \
.*?@ANY_VERSION@@ARCHIVE_EXT@
